{ config, pkgs, inputs, lib, ... }: {
  imports = [
    ../cli.nix
    ./bolty-boot.nix
    ./gitea-runner.nix
    ./grafana.nix
    ./home-assistant.nix
    ./home-security.nix
    ./influxdb.nix
    ./matrix-server.nix
    ./networking.nix
    ./nix-store-server.nix
    ./print-server.nix
    ./real-hardware.nix
    ./restic-server.nix
    ./tailscale-cert.nix
    ./virtualisation.nix
  ];
  boot.binfmt.emulatedSystems = [ "aarch64-linux" ];
  programs.ccache.enable = true;
  networking.hostName = "bolty";
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";

  time.timeZone = "Europe/London";
}
