{ config, pkgs, inputs, lib, ... }: {
  sops.secrets."gitea-runner-token" = {
    sopsFile = ./gitea-runner-token.sops;
    format = "binary";
  };
  virtualisation.podman = {
    enable = true;
    autoPrune.enable = true;
  };
  services.gitea-actions-runner.instances.bolty1 = {
    enable = true;
    url = "https://git.cyplo.dev";
    tokenFile = config.sops.secrets."gitea-runner-token".path;
    name = "bolty1";
    labels = [ "nix:docker://nixpkgs/nix-flakes:latest" ];
  };
}
