{ config, pkgs, inputs, lib, ... }: {
  boot.kernelModules = [ "kvm_amd" ];
  virtualisation = {
    libvirtd = {
      enable = true;
      qemu.ovmf.enable = true;
      allowedBridges = [ "br0" ];
    };
  };
  environment.systemPackages = with pkgs; [
    qemu
    virt-manager
    usbutils
    virt-viewer
    lm_sensors
  ];
  networking.firewall.allowedTCPPorts = [ 5900 ];

  security.allowUserNamespaces = true;

}
