{ config, pkgs, ... }: {
  imports = [ ../nginx.nix ];
  virtualisation.oci-containers.containers.searxng = {
    image =
      "searxng/searxng@sha256:650c0b183a129e10c2493126bb27c3541ffebbead6e0255fab91831457211b06";
    volumes = [ ];
    environment = { BASE_URL = "https://search.cyplo.dev"; };
    ports = [ "9999:8080" ];
  };
  services.nginx = {
    virtualHosts = {
      "search.cyplo.dev" = {
        forceSSL = true;
        enableACME = true;
        extraConfig = ''
          access_log /dev/null;
          proxy_connect_timeout 90s;
          proxy_send_timeout 90s;
          proxy_read_timeout 90s;
          proxy_busy_buffers_size   512k;
          proxy_buffers   4 512k;
          proxy_buffer_size   256k;
        '';
        locations."/" = {
          proxyPass = "http://127.0.0.1:9999";
          proxyWebsockets = true;
        };
      };
    };
  };

}
