{ config, pkgs, inputs, lib, ... }: {
  networking.hostName = "vpsfree1";

  imports = [
    ./vpsfree1-vpsadminos.nix
    ../cli.nix
    ../nginx.nix
    ./backups.nix
    ./blog.cyplo.net.nix
    ./cryptpad.nix
    ./foundryvtt.nix
    ./gitea.nix
    ./mastodon.nix
    ./matrix-front.nix
    ./rss.nix
    ./ssh.nix
    ./syncthing-relay.nix
  ];

  systemd.extraConfig = ''
    DefaultTimeoutStartSec=900s
  '';

  boot.binfmt.emulatedSystems = [ "aarch64-linux" ];
  time.timeZone = "Europe/London";
  nix.settings.cores = 8;
}
