{ config, pkgs, ... }: {
  nix.buildMachines = [{
    hostName = "bolty";
    sshUser = "nix-builder";
    sshKey = "/home/cyryl/.ssh/id_ed25519";
    systems = [ "i686-linux" "x86_64-linux" "aarch64-linux" ];
    maxJobs = 2;
    speedFactor = 1;
    supportedFeatures = [ "kvm" "big-parallel" ];
    mandatoryFeatures = [ ];
  }];

  nix.extraOptions = ''
    builders-use-substitutes = true
  '';
  nix.distributedBuilds = true;
  nix.settings.substituters =
    [ "https://cache.nixos.org/" "ssh://nix-ssh@bolty.raptor-carp.ts.net" ];
  nix.settings.trusted-public-keys =
    [ "cyplodev-store-key:a/+PEufePs7giWqYyRqy+TgUKLMbY+RQuJQu2aUjdl8=" ];
}
