{ config, pkgs, inputs, lib, ... }:
let username = "cyryl";
in {
  home.sessionVariables = {
    LC_ALL = "en_GB.UTF-8";
    LANG = "en_GB.UTF-8";
    PASSWORD_STORE_ENABLE_EXTENSIONS = "true";
  };

  news.display = "show";

  home.packages = with pkgs; [ ];

  home.username = username;
  home.homeDirectory = lib.mkDefault "/home/${username}";
  home.stateVersion = "22.11";
  programs.home-manager.enable = true;

  imports = [
    ./cli.nix
    ./links.nix
    ./scripts.nix

    ./programs.nix
    ./programs/emacs/home.nix
    ./programs/newsboat.nix
    ./programs/ssh.nix
    ./programs/tmux.nix
    ./programs/zsh.nix
  ];
}
