{ config, pkgs, inputs, ... }:

{
  home-manager.users.cyryl = { ... }: {
    imports = [ ];
    home.packages =
      with inputs.nixpkgs-nixos-unstable.legacyPackages."x86_64-linux";
      with gnuradio3_8Packages;
      [ gnuradio3_8 osmosdr gqrx audacity rtl-sdr inspectrum ] ++

      (with pkgs; [ ]);
  };

  users.extraUsers.cyryl.extraGroups = [ "plugdev" ];
  users.groups = { "plugdev" = { }; };
  services.udev = {
    packages = [ pkgs.rtl-sdr ];
    extraRules = ''
          # RTL2832U OEM vid/pid, e.g. ezcap EzTV668 (E4000), Newsky TV28T (E4000/R820T) etc.
      SUBSYSTEMS=="usb", ATTRS{idVendor}=="0bda", ATTRS{idProduct}=="2838", ENV{ID_SOFTWARE_RADIO}="1", MODE="0660", GROUP="plugdev"
    '';
  };

  # dont load DVB-T modules automatically
  boot.blacklistedKernelModules = [ "dvb_usb_rtl28xxu" ];
}
